Package org.pentaho.reporting.libraries.formula.function

# Class DefaultFunctionRegistry

java.lang.Object
org.pentaho.reporting.libraries.formula.function.DefaultFunctionRegistry

All Implemented Interfaces:
  `FunctionRegistry`

public class DefaultFunctionRegistry extends Object implements FunctionRegistry
Creation-Date: 02.11.2006, 12:48:32

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`DefaultFunctionRegistry()`

## Method Summary

Modifier and Type
Method
Description
`Function`
`createFunction(String name)`
`FunctionCategory[]`
`getCategories()`
`String[]`
`getFunctionNames()`
`String[]`
`getFunctionNamesByCategory(FunctionCategory category)`
`Function[]`
`getFunctions()`
`Function[]`
`getFunctionsByCategory(FunctionCategory category)`
`FunctionDescription`
`getMetaData(String name)`
`void`
`initialize(Configuration configuration)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultFunctionRegistry

public DefaultFunctionRegistry()

## Method Details

### getCategories

public FunctionCategory[] getCategories()

Specified by:
  `getCategories` in interface `FunctionRegistry`

### getFunctions

public Function[] getFunctions()

Specified by:
  `getFunctions` in interface `FunctionRegistry`

### getFunctionNames

public String[] getFunctionNames()

Specified by:
  `getFunctionNames` in interface `FunctionRegistry`

### getFunctionNamesByCategory

public String[] getFunctionNamesByCategory(FunctionCategory category)

Specified by:
  `getFunctionNamesByCategory` in interface `FunctionRegistry`

### getFunctionsByCategory

public Function[] getFunctionsByCategory(FunctionCategory category)

Specified by:
  `getFunctionsByCategory` in interface `FunctionRegistry`

### createFunction

public Function createFunction(String name)

Specified by:
  `createFunction` in interface `FunctionRegistry`

### getMetaData

public FunctionDescription getMetaData(String name)

Specified by:
  `getMetaData` in interface `FunctionRegistry`

### initialize

public void initialize(Configuration configuration)